/*-------------------------------------------------------
 RenderModeExample.js

 To use the function below, create a handle to the 3D Annotation 
 from within the document-side JavaScript, and then use that 
 handle to make the call, using the following two commands: 
 
 context3D = getAnnots3D(0)[0].context3D;
 context3D.setRenderMode( "CAD illustration" );

 ..where the (0)[0] refer to tha mape the annotation is on, and 
 the number of annotations on that page.

 Also, "CAD illustration" is but one of many rendering styles 
 you can choose from.

 --------------------------------------------------------------
*/




function setRenderMode( renderModeName )
 {
  console.println( "setting render mode to '" + renderModeName + "'." );
  for (var i=0; i <scene.meshes.count; i++)
   {
    scene.meshes.getByIndex(i).renderMode = renderModeName;
   }
 }